Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.page
Class ObjectNodePageIterator

    java.lang.Object
      com.sun.mdm.index.page.ObjectNodePageIterator

public class ObjectNodePageIterator
extends java.lang.Object

Page Iterator for Object Nodes

Constructor Summary
`ObjectNodePageIterator(java.util.ArrayList fullData)` Creates a new instance of ObjectNodePageIterator that does not maintain connection to server.
`ObjectNodePageIterator(PageData pageData, int pageSize, int maxElements)` Creates a new instance of ObjectNodePageIterator that maintains connection to server.

Method Summary
`ObjectNode` | `absolute(int index)` See PageIterator
`ObjectNode[]` | `absolute(int index, int count)` See PageIterator
`void` | `close()` See PageIterator
`int` | `count()` See PageIterator
`int` | `currentPosition()` See PageIterator
`ObjectNode` | `first()` See PageIterator
`ObjectNode[]` | `first(int count)` See PageIterator
`boolean` | `hasNext()` See PageIterator
`ObjectNode` | `next()` See PageIterator
`ObjectNode[]` | `next(int count)` See PageIterator
`ObjectNode` | `prev()` See PageIterator
`ObjectNode[]` | `prev(int count)` See PageIterator
`void` | `sortBy(java.lang.String field, boolean reverse)` Sort by field name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectNodePageIterator

    public ObjectNodePageIterator(java.util.ArrayList fullData)

  Creates a new instance of ObjectNodePageIterator that does not maintain connection to server.

  Parameters:
    `fullData` - Full data array

### ObjectNodePageIterator

    public ObjectNodePageIterator(PageData pageData,
                                  int pageSize,
                                  int maxElements)

  Creates a new instance of ObjectNodePageIterator that maintains connection to server.

  Parameters:
    `pageData` - Iterator based on server side bean
    `pageSize` - Size of page
    `maxElements` - Maximum elements that will be loaded

Method Detail

### absolute

    public ObjectNode absolute(int index)
                        throws PageException,
                               java.rmi.RemoteException

  See PageIterator

  Parameters:
    `index` - See PageIterator
  Returns:
    See PageIterator
  Throws:
    `PageException` - See PageIterator
    `java.rmi.RemoteException` - See PageIterator
  See Also:
    `PageIterator.absolute(int)`

### absolute

    public ObjectNode[] absolute(int index,
                                 int count)
                          throws PageException,
                                 java.rmi.RemoteException

  See PageIterator

  Parameters:
    `index` - See PageIterator
    `count` - See PageIterator
  Returns:
    See PageIterator
  Throws:
    `PageException` - See PageIterator
    `java.rmi.RemoteException` - See PageIterator
  See Also:
    `PageIterator.absolute(int,int)`

### close

    public void close()
               throws java.rmi.RemoteException,
                      RemoveException

  See PageIterator

  Throws:
    `java.rmi.RemoteException` - See PageIterator
    `RemoveException` - See PageIterator
  See Also:
    `PageIterator.close()`

### count

    public int count()
              throws PageException,
                     java.rmi.RemoteException

  See PageIterator

  Returns:
    See PageIterator
  Throws:
    `java.rmi.RemoteException` - See PageIterator
    `PageException` - See PageIterator
  See Also:
    `PageIterator.count()`

### currentPosition

    public int currentPosition()

  See PageIterator

  Returns:
    See PageIterator

### first

    public ObjectNode first()
                     throws PageException,
                            java.rmi.RemoteException

  See PageIterator

  Returns:
    See PageIterator
  Throws:
    `PageException` - See PageIterator
    `java.rmi.RemoteException` - See PageIterator
  See Also:
    `PageIterator.first()`

### first

    public ObjectNode[] first(int count)
                       throws PageException,
                              java.rmi.RemoteException

  See PageIterator

  Parameters:
    `count` - See PageIterator
  Returns:
    See PageIterator
  Throws:
    `PageException` - See PageIterator
    `java.rmi.RemoteException` - See PageIterator
  See Also:
    `PageIterator.first(int)`

### hasNext

    public boolean hasNext()
                    throws PageException,
                           java.rmi.RemoteException

  See PageIterator

  Returns:
    See PageIterator
  Throws:
    `PageException` - See PageIterator
    `java.rmi.RemoteException` - See PageIterator

### next

    public ObjectNode next()
                    throws java.rmi.RemoteException,
                           PageException

  See PageIterator

  Returns:
    See PageIterator
  Throws:
    `java.rmi.RemoteException` - See PageIterator
    `PageException` - See PageIterator
  See Also:
    `PageIterator.next()`

### next

    public ObjectNode[] next(int count)
                      throws java.rmi.RemoteException,
                             PageException

  See PageIterator

  Parameters:
    `count` - See PageIterator
  Returns:
    See PageIterator
  Throws:
    `java.rmi.RemoteException` - See PageIterator
    `PageException` - See PageIterator
  See Also:
    `PageIterator.next(int)`

### prev

    public ObjectNode prev()
                    throws PageException,
                           java.rmi.RemoteException

  See PageIterator

  Returns:
    See PageIterator
  Throws:
    `PageException` - See PageIterator
    `java.rmi.RemoteException` - See PageIterator
  See Also:
    `PageIterator.prev()`

### prev

    public ObjectNode[] prev(int count)
                      throws PageException,
                             java.rmi.RemoteException

  See PageIterator

  Parameters:
    `count` - See PageIterator
  Returns:
    See PageIterator
  Throws:
    `PageException` - See PageIterator
    `java.rmi.RemoteException` - See PageIterator
  See Also:
    `PageIterator.prev(int)`

### sortBy

    public void sortBy(java.lang.String field,
                       boolean reverse)
                throws PageException,
                       java.rmi.RemoteException

  Sort by field name

  Parameters:
    `reverse` - Set true to reverse sort order
    `field` - Field name to sort on
  Throws:
    `PageException` - An error occured.
    `java.rmi.RemoteException` - An error occured.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.